#!/bin/bash
# List of common Ansible commands for the lab

echo "Common Ansible Commands for the Lab:"
echo "-----------------------------------"
echo
echo "1. Run all playbooks:"
echo "ansible-playbook -i inventory/hosts playbooks/site.yml"
echo
echo "2. Run specific playbooks:"
echo "ansible-playbook -i inventory/hosts playbooks/update_systems.yml"
echo "ansible-playbook -i inventory/hosts playbooks/team_setup.yml"
echo
echo "3. Run specific roles against hosts:"
echo "ansible-playbook -i inventory/hosts playbooks/site.yml --tags common"
echo "ansible-playbook -i inventory/hosts playbooks/site.yml --tags webserver"
echo
echo "4. Check syntax of a playbook:"
echo "ansible-playbook -i inventory/hosts playbooks/site.yml --syntax-check"
echo
echo "5. Run playbook in dry-run mode:"
echo "ansible-playbook -i inventory/hosts playbooks/site.yml --check"
echo
echo "6. Ad-hoc commands:"
echo "ansible -i inventory/hosts all -m ping"
echo "ansible -i inventory/hosts red -m command -a 'uptime'"
echo "ansible -i inventory/hosts blue -m shell -a 'ls -la /home/ansible'"
echo "ansible -i inventory/hosts grey -m setup"